Remove member
DELETE
/member/{userId}
Optional connection_actions resolve personal connections before removal. 409 connections_need_resolution when shared connections lack actions.
Path Parameters
userIdstring
required·
Resource id
Request Body
connection_actionsobject[]
actionstring
Possible values:
transfer_orgtransfer_teamtransfer_userdelete
connection_idstring
target_user_idstring
team_idstring
Response Body
successboolean
curl -X DELETE 'https://api.elaichi.ai/member/<userId>' \
-H 'Authorization: Bearer $ELAICHI_API_TOKEN' \
-H 'Content-Type: application/json'const response = await fetch('https://api.elaichi.ai/member/<userId>', {
method: 'DELETE',
headers: {
'Authorization': 'Bearer ' + process.env.ELAICHI_API_TOKEN,
'Content-Type': 'application/json',
},
});
const data = await response.json();
console.log(data);import os
import requests
url = "https://api.elaichi.ai/member/<userId>"
headers = {
"Authorization": f"Bearer {os.environ['ELAICHI_API_TOKEN']}",
"Content-Type": "application/json",
}
response = requests.delete(url, headers=headers)
print(response.json())